import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { LoaderService } from '../../services/loader.service';
export declare class CameraComponent implements OnInit, AfterViewInit, OnDestroy {
    private loaderService;
    video: HTMLVideoElement;
    photo: string;
    stream: MediaStream;
    constraints: {
        video: {
            width: {
                min: number;
                ideal: number;
                max: number;
            };
            height: {
                min: number;
                ideal: number;
                max: number;
            };
            facingMode: string;
        };
        audio: boolean;
    };
    onprediction: EventEmitter<HTMLCanvasElement>;
    onerror: EventEmitter<any>;
    constructor(loaderService: LoaderService);
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    initCanvas(): void;
    takepicture(): void;
    switchCamera(): Promise<void>;
    getUserMedia(constraints: MediaStreamConstraints): Promise<void>;
    ngOnDestroy(): void;
}
